Bug Hunting Session
Bug 108609 - When define left tab in Paragraph or by clicking on ruler, sets a right tab
Summary: When define left tab in Paragraph or by clicking on ruler, sets a right tab
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
5.3.3.2 release
Hardware: x86-64 (AMD64) Linux (All)
: medium minor
Assignee: Not Assigned
URL:
Whiteboard: target:6.0.0 target:5.4.0.2
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Paragraph-Tab-Stops Rulers
  Show dependency treegraph
 
Reported: 2017-06-18 09:29 UTC by Elmar
Modified: 2017-08-04 08:18 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
shows reversed ruler, and incorrect tab (15.28 KB, image/png)
2017-06-18 09:30 UTC, Elmar
Details
file created in LO v6.0 (16.59 KB, application/vnd.oasis.opendocument.presentation)
2017-06-18 09:31 UTC, Elmar
Details
file created with v5.3 (16.67 KB, application/vnd.oasis.opendocument.presentation)
2017-06-18 09:33 UTC, Elmar
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Elmar 2017-06-18 09:29:16 UTC
Description:
I click on ruler at 13cm auto creates a right tab (I want a left tab)
Does the same when I use paragraph dialog box.
Dialog box shows "left" and correct symbol.


Steps to Reproduce:
1. Click on rule at 13cm
2. Open  paragraph dialog
3.

Actual Results:  
The tab created says left, but symbol right
Horizontal ruler is reversed, so cannot see where the actual tab is set.
Cant right click or define any other type of tab on the ruler, so this seems to be a pointless feature.
I then created a right tab on 14cm.
If I add text, it lines up with the right tab, but if I type more characters than then it seems the 13cm left tab blocks it and the it is as if there was only a left tab.


Expected Results:
To allow me to determine what kind of tab should be set on the rule.
For the ruler to be number from left to right, not right to left.
For the symbol to be correct


Reproducible: Always

User Profile Reset: No

Additional Info:
[Information automatically included from LibreOffice]
Locale: en-US
Module: PresentationDocument
[Information guessed from browser]
OS: Linux (All)
OS is 64bit: yes

Have tested in as well with same result:
Version: 5.3.3.2
Build ID: 1:5.3.3~rc2-0ubuntu0.16.04.1~lo0
CPU Threads: 4; OS Version: Linux 4.4; UI Render: default; VCL: gtk2; Layout Engine: new; 
Locale: en-ZA (en_GB.UTF-8); Calc: group

In v5.3 cannot click on ruler to set tab.
Builds ID: LibreOffice 6.0.0.0.alpha0


User-Agent: Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:54.0) Gecko/20100101 Firefox/54.0
Comment 1 Elmar 2017-06-18 09:30:27 UTC
Created attachment 134098 [details]
shows reversed ruler, and incorrect tab
Comment 2 Elmar 2017-06-18 09:31:20 UTC
Created attachment 134099 [details]
file created in LO v6.0
Comment 3 Elmar 2017-06-18 09:33:00 UTC
Created attachment 134100 [details]
file created with v5.3
Comment 4 Buovjaga 2017-06-25 07:00:39 UTC
Repro, but not with 3.6.

Note for testers: if you don't see the ruler: View - Rulers.
Comment 5 raal 2017-06-26 16:35:08 UTC
This seems to have begun at the below commit.
Adding Cc: to Noel Grandin ; Could you possibly take a look at this one?
Thanks

e1737859697a179f95cb16464cb4d2b6f920f8a7 is the first bad commit
commit e1737859697a179f95cb16464cb4d2b6f920f8a7
Author: Jenkins Build User <tdf@pollux.tdf>
Date:   Wed Mar 15 09:43:56 2017 +0100

    source sha:8ccbc16b5e3f94b8db105232d7085a8553e6bc03

author	Noel Grandin <noel.grandin@collabora.co.uk>	2017-03-14 06:39:55 (GMT)
committer	Noel Grandin <noel.grandin@collabora.co.uk>	2017-03-15 08:35:10 (GMT)
commit	8ccbc16b5e3f94b8db105232d7085a8553e6bc03 (patch)
tree	85b8affc4e3916a21c6b303c90dc0f080d464bbf
parent	7fafd1aea08ad036ef48f415db5df93df218bf6e (diff)
convert SvxFrameDirection to scoped enum
Comment 6 Commit Notification 2017-07-03 17:21:31 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=eb104a28daf5b17f24c95da637fc292593eea99b

tdf#108609 rtl mode set on ruler when it should be ltr

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2017-07-04 06:37:57 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=788a87d46a64dc9e50eb371680c883a1d274b3e1&h=libreoffice-5-4

tdf#108609 rtl mode set on ruler when it should be ltr

It will be available in 5.4.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Xisco Faulí 2017-08-04 08:10:48 UTC
Polite ping: is this bug fixed? if so, please close it as RESOLVED FIXED